impdata = xlsread('Seasoncountry2.xlsx','A2:A8746');%Import data for all countries
expdata=xlsread('Seasonexport.xlsx','C63:BB63');%export data for norway
denmarkexp=zeros(52,15);
franceexp=zeros(52,15);
italyexp=zeros(52,15);
lithuaniaexp=zeros(52,15);
netherlandsexp=zeros(52,15);
polandexp=zeros(52,15);
spainexp=zeros(52,15);
gbexp=zeros(52,15);
germanyexp=zeros(52,15);

%sorting the data by country
for i=1:52
    for j=1:15
        denmarkexp(i,j)=impdata(j+(i-1)*15);
        franceexp(i,j)=impdata((j+1590)+(i-1)*15);
        italyexp(i,j)=impdata((j+2385)+(i-1)*15);
        lithuaniaexp(i,j)=impdata((j+3180)+(i-1)*15);
        netherlandsexp(i,j)=impdata((j+3975)+(i-1)*15);
        polandexp(i,j)=impdata((j+4770)+(i-1)*15);
        spainexp(i,j)=impdata((j+5565)+(i-1)*15);
        gbexp(i,j)=impdata((j+6360)+(i-1)*15);
        germanyexp(i,j)=impdata((j+7950)+(i-1)*15);
        
    end
end

frac=zeros(52,15);

denmarksum=zeros(1,15);
x=[1:1:52];

%fractional import each week for denmark
for i=1:15
denmarksum(1,i)=sum(denmarkexp(:,i));
frac(:,i)=denmarkexp(:,i)/denmarksum(1,i);
plot(x,frac(:,i))
hold on

end
xticks([1:2:52])
xlabel('Week nr')
ylabel('fraction of yearly export')
legend('2000','2001','2002','2003','2005','2006','2007','2008','2010','2011','2012','2013','2014','2016','2017')
hold off


med=zeros(52,9);
fracden=zeros(52,15);
fracfra=zeros(52,15);
fracita=zeros(52,15);
fraclit=zeros(52,15);
fracnet=zeros(52,15);
fracpol=zeros(52,15);
fracspa=zeros(52,15);
fracgb=zeros(52,15);
fracger=zeros(52,15);

%calculating fractional import for each country
    for i=1:52
        for j=1:15
            fracden(i,j)=denmarkexp(i,j)/sum(denmarkexp(:,j));
            fracfra(i,j)=franceexp(i,j)/sum(franceexp(:,j));
            fracita(i,j)=italyexp(i,j)/sum(italyexp(:,j));
            fraclit(i,j)=lithuaniaexp(i,j)/max(sum(lithuaniaexp(:,j)),0.0000000001);
            fracnet(i,j)=netherlandsexp(i,j)/sum(netherlandsexp(:,j));
            fracpol(i,j)=polandexp(i,j)/sum(polandexp(:,j));
            fracspa(i,j)=spainexp(i,j)/sum(spainexp(:,j));
            fracgb(i,j)=gbexp(i,j)/max(sum(gbexp(:,j)),0.00000000001);
            fracger(i,j)=germanyexp(i,j)/sum(germanyexp(:,j));
            
            
        end %using the median of all years combined for each country at a given week
        med(i,1)=median(fracden(i,:));
        med(i,2)=median(fracfra(i,:));
        med(i,3)=median(fracita(i,:));
        med(i,4)=median(fracger(i,:));
        med(i,5)=median(fracnet(i,:));
        med(i,6)=median(fracpol(i,:));
        med(i,7)=median(fracspa(i,:));
        med(i,8)=median(fracgb(i,:));
        med(i,9)=median(fraclit(i,:));        

       
        
        
    end
    
    snitt=zeros(52,8);
    %calculating how the import in each contry at a given week is compared
    %to the export that weeek
    for j=1:8
        for i=1:52
            snitt(i,j)=med(i,j)/expdata(i);
        end
    end
      
    %plotting the seasonal demand based on total import
    figure
    for i=1:9 
        plot(med(:,i));
        hold on
    end
    xticks([1:2:52])
xlabel('Week nr');
ylabel('fraction of yearly export');
legend('Denmark','France','Italy','Germany','Netherlands','Poland','Spain','Great Britain','Lithuania');
hold off


%plotting seasonal demand compared to export
figure
    for i=1:8 
        plot(snitt(:,i));
        hold on
    end
    xticks([1:1:52])
xlabel('Week nr');
ylabel('Import/Export');
legend('Denmark','France','Italy','Germany','Netherlands','Poland','Spain','Great Britain','Lithuania');
hold off

    
           




    

    